Package org.drinkless.tdlib

# Class TdApi.CheckOauthRequestMatchCode

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.CheckOauthRequestMatchCode

Enclosing class:
  `TdApi`

public static class TdApi.CheckOauthRequestMatchCode extends TdApi.Function<TdApi.Ok>
Checks a match-code for an OAuth authorization request. If fails, then the authorization request has failed. Otherwise, authorization confirmation dialog must be shown and the link must be processed using acceptOauthRequest or declineOauthRequest.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `matchCode`
  The matching code chosen by the user.
  `String`
  `url`
  URL of the OAuth deep link.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CheckOauthRequestMatchCode()`
  Default constructor for a function, which checks a match-code for an OAuth authorization request.
  `CheckOauthRequestMatchCode(String url, String matchCode)`
  Creates a function, which checks a match-code for an OAuth authorization request.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### url

    public String url
    URL of the OAuth deep link.

  - ### matchCode

    public String matchCode
    The matching code chosen by the user.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CheckOauthRequestMatchCode

    public CheckOauthRequestMatchCode()
    Default constructor for a function, which checks a match-code for an OAuth authorization request. If fails, then the authorization request has failed. Otherwise, authorization confirmation dialog must be shown and the link must be processed using acceptOauthRequest or declineOauthRequest.

    Returns `Ok`

  - ### CheckOauthRequestMatchCode

    public CheckOauthRequestMatchCode(String url, String matchCode)
    Creates a function, which checks a match-code for an OAuth authorization request. If fails, then the authorization request has failed. Otherwise, authorization confirmation dialog must be shown and the link must be processed using acceptOauthRequest or declineOauthRequest.

    Returns `Ok`

    Parameters:
      `url` - URL of the OAuth deep link.
      `matchCode` - The matching code chosen by the user.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR